# Updates the team.

PUT https://api.awork.com/api/v1/teams/{teamId}

Updates the team. The submitted settings replace the existing values.

<Check title="Required Permissions" icon="key">The user must be an admin.</Check>

## Request example

```sh
curl -X PUT --globoff 'https://api.awork.com/api/v1/teams/{teamId}' \
  -H 'Authorization: Bearer <token>' \
  -H 'Content-Type: application/json' \
  --data '{
  "name": "Designers",
  "icon": "image",
  "color": "purple"
}'
```

- path parameter `teamId`: string (required). The id of the team to update.

- query parameter `includeUserIds`: boolean. Whether to include the ids of users that are in the team.

- query parameter `includeProjectIds`: boolean. Whether to include the ids of projects that are assigned to the team.

## Request body (application/json)

- `name`: string (required)

- `icon`: string or null

- `color`: string or null

## Response 200

OK

application/json

```json
{
  "name": "Designers",
  "icon": "image",
  "color": "purple",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "createdOn": "2026-01-15T09:30:00Z",
  "createdBy": "123e4567-e89b-12d3-a456-426614174000",
  "updatedOn": "2026-01-15T09:30:00Z",
  "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
  "userIds": [
    "123e4567-e89b-12d3-a456-426614174000"
  ],
  "projectIds": [
    "123e4567-e89b-12d3-a456-426614174000"
  ]
}
```

## Response 404

Not Found

application/json

```json
{
  "code": "not-found",
  "description": "There is no matching path for this URL.",
  "link": "https://developers.awork.com",
  "details": [
    "No project with the id '123' exists."
  ],
  "validationErrors": [
    {
      "property": "FirstName",
      "message": "FirstName is required."
    }
  ],
  "traceId": "a65ce5745df02af216715ff06661fb3a"
}
```
